Package ru.bitel.oss.kernel.entity.server.bean

# Class AbstractEntityDao<E extends Entity>

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<E>
ru.bitel.common.dao.AbstractIdDao<E>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<E>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<E>

All Implemented Interfaces:
  `AutoCloseable`

Direct Known Subclasses:
  `DeviceDao`, `InetDeviceDao`, `InetServDao`, `ProductSpecDao`, `ServiceSpecDao`, `TvChannelSpecDao`, `VoiceAccountDao`

public abstract class AbstractEntityDao<E extends Entity> extends AbstractEntityAttrDao<E>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `AbstractEntityAttrDao.AddressItemModifiedEventListener`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, entityTableSuffix, filterWeightComparator, userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractEntityDao(Connection con, String tableName, String entityTableSuffix, int moduleId, int userId)`
  `AbstractEntityDao(Connection con, String tableName, String entityTableSuffix, EntityAttrDaoSupport entityAttrDaoSupport, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `delete(int id)`
  `protected E`
  `getFromRS(ResultSet rs)`
  `protected E`
  `getFromRS(ResultSet rs, boolean loadAttributes)`
  `protected abstract E`
  `getFromRSImpl(ResultSet rs)`
  `protected void`
  `linkEntity(Entity entity)`
  `protected List<E>`
  `list(boolean loadAttributes, Page page, String what, String join, List<FilterEntityAttr> entityFilter, String filter, String groupBy, String orderBy, Object... params)`
  `protected Result<E>`
  `list(Page page, String filter, String orderBy, Object... params)`
  `protected List<E>`
  `listImpl(Page page, String filter, String orderBy, Object... params)`
  `protected void`
  `unlinkEntity(int entityId)`
  `void`
  `update(E b)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `checkEntityAttribute, checkEntitySpecAttrDelete, deleteEntityAttribute, deleteEntityAttributes, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityTableSuffix, getEntityValueForIds, listImpl, onAddressItemUpdate, optEntityAttribute, updateEntityAttribute, updateEntityAttributes`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, updateImpl`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractEntityDao

    public AbstractEntityDao(Connection con, String tableName, String entityTableSuffix, int moduleId, int userId)

  - ### AbstractEntityDao

    public AbstractEntityDao(Connection con, String tableName, String entityTableSuffix, EntityAttrDaoSupport entityAttrDaoSupport, int moduleId, int userId)

- ## Method Details

  - ### linkEntity

    protected void linkEntity(Entity entity) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### unlinkEntity

    protected void unlinkEntity(int entityId) throws SQLException
    Throws:
      `SQLException`

  - ### update

    public void update(E b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `update` in class `ru.bitel.common.dao.AbstractDao<E extends Entity>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### delete

    public int delete(int id) throws Exception
    Overrides:
      `delete` in class `ru.bitel.common.dao.AbstractIdDao<E extends Entity>`
    Throws:
      `Exception`

  - ### list

    protected List<E> list(boolean loadAttributes, Page page, String what, String join, List<FilterEntityAttr> entityFilter, String filter, String groupBy, String orderBy, Object... params) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `list` in class `AbstractEntityAttrDao<E extends Entity>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected E getFromRS(ResultSet rs, boolean loadAttributes) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `AbstractEntityAttrDao<E extends Entity>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRSImpl

    protected abstract E getFromRSImpl(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    protected Result<E> list(Page page, String filter, String orderBy, Object... params) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `list` in class `ru.bitel.common.dao.AbstractDao<E extends Entity>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listImpl

    protected List<E> listImpl(Page page, String filter, String orderBy, Object... params) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `listImpl` in class `ru.bitel.common.dao.AbstractDao<E extends Entity>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFromRS

    protected E getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Overrides:
      `getFromRS` in class `AbstractEntityAttrDao<E extends Entity>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`